#ifndef __LINE_DECT_H
#define __LINE_DECT_H

#include <libubus.h>

#include "line.h"

//-------------------------------------------------------------
int ubus_queue_req_to_dectmngr(struct line_req_t *lineReq);
int ubus_queue_req_to_asterisk(struct line_req_t *lineReq);
int ubus_process_queued_reqs_to_dectmngr(void);
int simulate_digits_pressing(int line, const char *pressed_digits);
int ubus_cb_dectmngr_replied(struct line_req_t *lineReq, enum ubus_msg_status reply_status);
void ubus_cb_asterisk_replied(struct line_event_t *lineEv, enum ubus_msg_status reply_status);
int dectmngr_line_to_voicemngr_line(int line);
int voicemngr_line_to_dectmngr_line(int line);
int line_dect_init(void);
int line_dect_deinit(void);

#endif
